function read_exif_table_cookie () {
  var exif_table_cookie = document.cookie;
  exif_table_cookie = exif_table_cookie.split ("=");
  set_exif_table_visibility (exif_table_cookie[1]);
}

function write_exif_table_cookie (visible) {
   var exif_table_cookie = "exif_table_visible=" + visible;
   document.cookie = exif_table_cookie;
}

function set_exif_table_visibility (visible) {
  document.getElementById('exif_table').style.display = visible == "yes" ? 'block' : 'none';
  document.getElementById('exif_line').style.display = visible == "yes" ? 'none' : 'block';
}

function preload_image (src) {
  img = new Image(); 
  img.src = src;
}

